cancel
Showing results for 
Search instead for 
Did you mean: 

I could not build the database module in web IDE and CDS views with Input parameters.

miyanaleem
Participant
0 Kudos

Hello Guys,

I have installed sap hana xs advance using GCP Instance. and getting this error while creating a SAP HANA Database Module.

(Could not start the build because no builder is installed in your space.
To install a builder in this space, please contact your XS Advanced administrator.)

I saw many posts regarding this problem using that inputs I saw that Build is installed in development Space but still I am getting the error.

I have successfully created users and roles in eclipse for same External ID I am getting CDS views not supported in xs classic. but I have installed SAP HANA Xpress (Server + Application)

Thanks & Regards,

Miyan Abdul Aleem

Accepted Solutions (1)

Accepted Solutions (1)

lsubatin
Active Contributor

HI,

I've solved this (it has happened randomly in a few of my instances too) by re-deploying the space using the space enablement tool. You need to start it first (from the CLI, command xs st di-space-enablement-ui ) and then go to https://hxehost:51024/index (or check the port with xs a | grep enablement , it's https://hxehost:51027 in rev 33).html and hit enable or redeploy:

Though I could not find the root cause it's been reported.The build works after that.

Cheers,

Lucia.

miyanaleem
Participant
0 Kudos

Hi Lucia,

Great 🙂 Thank you so much for the help. Successfully build the hana database module. Using the external ip in eclipse we can't use Sap hana advance in eclipse??

Thanks & Regards,

Miyan Abdul Aleem

mike_howles4
Active Contributor

Well, add this as another thank you from me. Go figure. I hit this error today and of course you already had an answer that Google pointed me to.

Answers (0)